SimilarRule (CMDB Model API)
Keywords: com.collation.platform.model.topology.meta.SimilarRule interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.meta
Interface SimilarRule

All Superinterfaces:
  CmdbMeta, ModelObject, java.io.Serializable

    public interface SimilarRule

extends CmdbMeta

Naming Rules:
  0="parent,rulePriority"
Persistable:
  true
Table Name:
  SIMRULEMETA

Method Summary
`ObjectAttribute[]` | `getNameAttributes()`
`ObjectClass` | `getParent()`
`int` | `getRulePriority()`
`boolean` | `hasNameAttributes()`
`boolean` | `hasParent()`
`boolean` | `hasRulePriority()`
`void` | `setNameAttributes(ObjectAttribute[] attrs)`
`void` | `setParent(ObjectClass cls)`
`void` | `setRulePriority(int i)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    ObjectClass getParent()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParent

    void setParent(ObjectClass cls)

### hasParent

    boolean hasParent()

### getRulePriority

    int getRulePriority()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRulePriority

    void setRulePriority(int i)

### hasRulePriority

    boolean hasRulePriority()

### getNameAttributes

    ObjectAttribute[] getNameAttributes()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Table Name:
    SIMRUL_ATTR

### setNameAttributes

    void setNameAttributes(ObjectAttribute[] attrs)

### hasNameAttributes

    boolean hasNameAttributes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD